Множественные уязвимости в Goople CMS

Дата публикации:
28.11.2008
Всего просмотров:
1659
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-6118
CVE-2008-6119
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Goople CMS 1.x
Уязвимые версии: Goople CMS 1.7, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за того, что приложение некорректно ограничивает доступ к сценарию win/content/upload.php. Удаленный пользователь может установить параметр куки "loggedin", обойти механизм аутентификации и загрузить произвольные PHP файлы на систему.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "username" и "password" в сценарии gooplecms/admin/account/action/editpass.php во время записи данных в файл admin/userandpass.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: sourceforge.net/projects/gooplecms/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7205

или введите имя

CAPTCHA